| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
Gaudi::RootObjectRefs Struct Reference

Persistent reference object containing all leafs and links corresponding to a Gaudi DataObject. More...

`#include <RootCnv/RootRefs.h>`

Collaboration diagram for Gaudi::RootObjectRefs:
[legend]

## Public Member Functions
| RootObjectRefs ()=default
| Default constructor. More...
| RootObjectRefs (const RootObjectRefs &r)
| Copy constructor. More...
| ~RootObjectRefs ()=default
| Default destructor. More...
RootObjectRefs & | operator= (const RootObjectRefs &r)
| Assignment operator. More...
| RootObjectRefs ()=default
| Default constructor. More...
| ~RootObjectRefs ()=default
| Default destructor. More...

## Public Attributes
std::vector< int > | links
| The links of the link manager. More...
std::vector< RootRef > | refs
| The references corresponding to the next layer of items in the data store. More...

## Detailed Description

Persistent reference object containing all leafs and links corresponding to a Gaudi DataObject.

Author
  M.Frank

Version
  1.0

Definition at line 71 of file extractEvt.C.

## Constructor & Destructor Documentation

## ◆ RootObjectRefs() [1/3]

Gaudi::RootObjectRefs::RootObjectRefs | ( |  | ) |
| default

Default constructor.

## ◆ RootObjectRefs() [2/3]

Gaudi::RootObjectRefs::RootObjectRefs | ( | const RootObjectRefs & | r | ) |
| inline

Copy constructor.

Definition at line 80 of file extractEvt.C.

80 : links( r.links ), refs( r.refs ) {}
Gaudi::RootObjectRefs::links
std::vector< int > links
The links of the link manager.
Definition: extractEvt.C:73
Gaudi::RootObjectRefs::refs
std::vector< RootRef > refs
The references corresponding to the next layer of items in the data store.
Definition: extractEvt.C:75

## ◆ ~RootObjectRefs() [1/2]

Gaudi::RootObjectRefs::~RootObjectRefs | ( |  | ) |
| default

Default destructor.

## ◆ RootObjectRefs() [3/3]

Gaudi::RootObjectRefs::RootObjectRefs | ( |  | ) |
| default

Default constructor.

## ◆ ~RootObjectRefs() [2/2]

Gaudi::RootObjectRefs::~RootObjectRefs | ( |  | ) |
| default

Default destructor.

## Member Function Documentation

## ◆ operator=()

RootObjectRefs& Gaudi::RootObjectRefs::operator= | ( | const RootObjectRefs & | r | ) |
| inline

Assignment operator.

Definition at line 84 of file extractEvt.C.

84 {
85 links = r.links;
86 refs = r.refs;
87 return *this;
88 }
Gaudi::RootObjectRefs::links
std::vector< int > links
The links of the link manager.
Definition: extractEvt.C:73
Gaudi::RootObjectRefs::refs
std::vector< RootRef > refs
The references corresponding to the next layer of items in the data store.
Definition: extractEvt.C:75

## Member Data Documentation

## ◆ links

std::vector< int > Gaudi::RootObjectRefs::links

The links of the link manager.

Definition at line 73 of file extractEvt.C.

## ◆ refs

std::vector< RootRef > Gaudi::RootObjectRefs::refs

The references corresponding to the next layer of items in the data store.

Definition at line 75 of file extractEvt.C.

The documentation for this struct was generated from the following files:

- RootCnv/merge/extractEvt.C
- RootCnv/RootCnv/RootRefs.h